﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.IO;
using System.Globalization;
using Data;
using System.Windows.Forms;

namespace App
{
    /// <summary>
    /// Třída pro ukládání dat do souborů, tyto data slouží k inicializačnímu načítačí pří startu programu.
    /// </summary>
    public class DataSaver
    {
        //reader
        StreamWriter sw;

        /// <summary>
        /// Metoda osoby (Person) do souboru
        /// </summary>
        public void savePeople()
        {
            try
            {
                sw = new StreamWriter("people.txt");
                foreach (Person p in Core.people)
                {
                    sw.WriteLine(p.toSave());
                }
            }
            catch (Exception e)
            {
                MessageBox.Show(e.Message);
            }
            sw.Close();
        }

        /// <summary>
        /// Metoda uloží položky (Item) do souboru
        /// </summary>
        public void saveItems()
        {
            try
            {
                sw = new StreamWriter("items.txt");
                foreach (Item item in Core.items)
                {
                    sw.WriteLine(item.toSave());
                }
            }
            catch (Exception e)
            {
                MessageBox.Show(e.Message);
            }
            sw.Close();
        }

        /// <summary>
        /// Metoda uloží faktury (Invoice) do souboru
        /// </summary>
        public void saveInvoices()
        {
            try
            {
                sw = new StreamWriter("invoices.txt");
                foreach (Invoice inv in Core.invoices)
                {
                    sw.WriteLine(inv.toSave());
                }
            }
            catch (Exception e)
            {
                MessageBox.Show(e.Message);
            }
            sw.Close();
        }
    }
}
